
	@Echo On
	Rem :: SETLOCAL EnableDelayedExpansion

	Rem :: Set __Alisha_Target=%~1
	
	If Not "%~1"=="" Call :__Zoey_%~1

	Exit /B 0
		
:__Zoey_Found_Alisha_DevKit
	
	Call :__Zoey_Numeric Found: 
	Call :__Zoey_Options ^"!__Alisha_DevKit_Formal!^"

	Exit /B
	
:__Zoey_Missing_Alisha_DevKit

	Call :__Zoey_Numeric Error: 
	Call :__Zoey_Options ^"!__Alisha_DevKit_Formal!^" not found.

	Exit /B

:__Zoey_TaskList
	
	TaskList /FI "imagename eq !__Alisha_Just_Binary!" | Find "!__Alisha_Just_Binary!" 2>NUL
		
	if "!errorlevel!"=="0" (
		
		TaskKill /F /IM "!__Alisha_Just_Binary!" 2>NUL
		
		If "!errorlevel!"=="0" (
			Call :__Zoey_Success_TaskKill
		) Else (
			Call :__Zoey_Failure_TaskKill
		)
	)
	
	Exit /B


:__Zoey_Success_TaskKill

	Call :__Zoey_Span TaskKill Attempt:
	Call :__Zoey_Numeric SUCCESS: 
	Call :__Zoey_Options !__Alisha_Just_Binary! killed.

	Exit /B

:__Zoey_Failure_TaskKill

	Call :__Zoey_Span TaskKill Attempt:
	Call :__Zoey_Numeric FAILURE: 
	Call :__Zoey_Options !__Alisha_Just_Binary! is running but could not be killed.

	Exit /B

:__Zoey_Render_Prior_Builds

	Call :__Zoey_Numeric Checking for prior builds:
	Call :__Zoey_Options !__Alisha_Binary!

	Exit /B
	
:__Zoey_Render_Found_Binary

	Call :__Zoey_Numeric Found:
	Call :__Zoey_Options !__Alisha_Binary!

	Exit /B
	
:__Zoey_Render_Attempt_Prune

	Call :__Zoey_Numeric Attempting to prune:
	Call :__Zoey_Options !__Alisha_Binary!

	Exit /B
	
:__Zoey_Render_Failure_Prune

	Call :__Zoey_Numeric Failed to prune:
	Call :__Zoey_Options !__Alisha_Binary!

	Exit /B
	
:__Zoey_Render_Success_Prune
		
	Call :__Zoey_Numeric Successfully pruned:
	Call :__Zoey_Options !__Alisha_Binary!

	Exit /B

:__Zoey_Render_Missing_Binary
		
	Call :__Zoey_Numeric Not Found:
	Call :__Zoey_Options !__Alisha_Binary!

	Exit /B

:__Zoey_Render_Compile_Log
		
	For /F "UseBackQ Tokens=* Delims=" %%G In ( `call "!__Alisha_Compiler!" !__Alisha_Compiler_Options!` ) Do (
		
		Set "__Alisha_Lantern=%%G"
		Call :__Zoey_Render_Options !__Alisha_Lantern!
	)
	
	Exit /B
	
:__Zoey_Render_Options

	Set /A "__Alisha_LineNum+=1"
	Set "__Alisha_Lantern=%*"
	
	Call :__Zoey_Numeric !__Alisha_LineNum!
	Call :__Zoey_Options_Pre !__Alisha_Lantern!
	
	Echo !__Alisha_Lantern!
	Pause
	
	Exit /B

:__Zoey_Compile_Without_Incident
	
	If !__Alisha_LineNum! EQU 0 (
		Call :__Zoey_Span Compiled without incident^!
	)
	
	Exit /B
	
Rem :: -s gui ^".\Resource\Story 6.rc^" 
	
:__Zoey_Render_Header

	Call :__Zoey_Embed Header.html	
	Call :__Zoey_Embed Icon.html
	Call :__Zoey_Tag style
	Call :__Zoey_Embed Style.css
	Call :__Zoey_Tag style close
	Call :__Zoey_Embed Banner.html

	Exit /B

:__Zoey_Captain_EO
	
	If "!__Alisha_eo!"=="odd" (
		Set "__Alisha_eo=even"
	) Else (
		Set "__Alisha_eo=odd"
	)
	
	Exit /B
	
:__Zoey_Vars
	
	Rem :: Don't forget to include the ".csv" extension in the argument.

	Rem :: If "!__Alisha_Vars!"=="" ( Set "__Alisha_Vars=%*" )
	If "!__Alisha_Vars!"=="" (
		Set __Alisha_Vars="!__Alisha_DevPath!Settings.csv"
	)
	
	Echo Vars Path: !__Alisha_Vars!
	Pause
	
	For /F "UseBackQ Delims=" %%A In ( !__Alisha_Vars! ) Do Set %%A

	If "!__Alisha_Log!"=="" (
		Set __Alisha_Log="!__Alisha_DevPath!Log.html"
	)

	Echo Compile Log Path: !__Alisha_Log!
	Pause

	Exit /B

:__Zoey_Render_Close_Table
	
	Call :__Zoey_Tag table close
	Call :__Zoey_Tag body close
	Call :__Zoey_Tag html close

	Exit /B
	
:__Zoey_Link_Debugger

	Call :__Zoey_Numeric Debugger:
	Call :__Zoey_Options !__Alisha_Debugger!

	Exit /B

:__Zoey_Numeric
		
	Call :__Zoey_Captain_EO

	Set "__Alisha_Numeric=%*"
	
	(
		Echo ^<tr^>^<td class=^"numeric !__Alisha_eo!^"^>
		Echo !__Alisha_Numeric!
	
	) >> !__Alisha_Log!
	
	Exit /B
		
:__Zoey_Options
	
	Set "__Alisha_Options=%*"

	(
		Echo ^</td^>^<td class=^"options !__Alisha_eo!^"^>
		Echo !__Alisha_Options!
		Echo ^</td^>^</tr^>	
	
	) >> !__Alisha_Log!
	
	Exit /B
	
:__Zoey_Options_Pre
	
	Set "__Alisha_Options=%*"

	(
		Echo ^</td^>^<td class=^"options !__Alisha_eo!^"^>
		Call :__Zoey_Tag pre open
		Echo !__Alisha_Options!
		Call :__Zoey_Tag pre close
		Echo ^</td^>^</tr^>	
	
	) >> !__Alisha_Log!
	
	Exit /B

:__Zoey_Span
	
	Call :__Zoey_Captain_EO

	Set "__Alisha_Span=%*"
	
	(
		Echo ^<tr^>^<td colspan=^"2^" class=^"heading !__Alisha_eo!^"^>
		Echo !__Alisha_Span!
		Echo ^</td^>^</tr^>	
	
	) >> !__Alisha_Log!
	
	Exit /B

:__Zoey_Embed

	Set "__Alisha_Embed=%*"
		
	For /F "UseBackQ Delims=" %%C In ("!__Alisha_DevPath!!__Alisha_Embed!") Do (
		(
			Echo %%C
		) >> !__Alisha_Log!
	)
	
	Exit /B
	
:__Zoey_Tag
	
	Set "__Alisha_Tag=%1"
	Set "__Alisha_Cap=%2"
	
	If "!__Alisha_Cap!"=="close" (
		Set "__Alisha_Tag=/!__Alisha_Tag!"
	)
	
	Set "__Alisha_Tag=^<!__Alisha_Tag!^>"
		
	Echo !__Alisha_Tag! >> !__Alisha_Log!
	
	Exit /B